
# Make a 2 seconds initial and 10 seconds final video
ffmpeg -loop 1 -i rbm-4-initial.png -t 00:00:2 -b:v 10000000 -y ../rbm-4-initial.mp4
ffmpeg -loop 1 -i rbm-4-final.png -t 00:00:10 -b:v 10000000 -y ../rbm-4-final.mp4

ffmpeg -loop 1 -i dbn-finetune-initial.png -t 00:00:02 -b:v 10000000 -y ../dbn-finetune-initial.mp4
ffmpeg -loop 1 -i dbn-finetune-final.png -t 00:00:10 -b:v 10000000 -y ../dbn-finetune-final.mp4


# Make the main videos
cd Gaussian

#ffmpeg -r 60 -pattern_type glob -i "rbm-4-*.png" -b:v 10000000 -y ../rbm-4-60.mp4
ffmpeg -pattern_type glob -i "rbm-4-[0-9]*.png" -b:v 10000000 -y ../rbm-4.mp4
#ffmpeg -r 60 -pattern_type glob -i "dbn-finetune-*.png" -b:v 10000000 -y ../dbn-finetune-60.mp4
ffmpeg -pattern_type glob -i "dbn-finetune-[0-9]*.png" -b:v 10000000 -y ../dbn-finetune.mp4
cd ..

# Now concatenate all
ffmpeg -i rbm-4-initial.mp4 -i rbm-4.mp4 -i rbm-4-final.mp4 -filter_complex concat=n=3:v=1:a=0 -b:v 10000000 rbm-4-total.mp4
ffmpeg -i dbn-finetune-initial.mp4 -i dbn-finetune.mp4 -i dbn-finetune-final.mp4 -filter_complex concat=n=3:v=1:a=0 -b:v 10000000 dbn-finetune-total.mp4
